SELECT *
  FROM [WebBranches].[dbo].[temp_mapping_document_transaction]
ORDER BY
  id_transaction_type

SELECT
  *
FROM
  document_transaction  -- 277


--DELETE FROM temp_mapping_document_transaction
--TRUNCATE TABLE temp_mapping_document_transaction

SELECT * FROM document_transaction
--DELETE FROM document_transaction
--TRUNCATE TABLE document_transaction



SELECT
  *
FROM
  temp_mapping_document_transaction AS tmp INNER JOIN
  dbo.transaction_type AS tr ON tmp.transaction_description=tr.description

--UPDATE
--  tmp
--SET
--  tmp.id_transaction_type=tr.id_transaction_type
--FROM
--  temp_mapping_document_transaction AS tmp INNER JOIN
--  dbo.transaction_type AS tr ON tmp.transaction_description=tr.description